Skip to main content
POST
/
environment
/
{environmentId}
/
service
/
delete
Delete services
curl --request POST \
  --url https://api.qovery.com/environment/{environmentId}/service/delete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "application_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "container_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "database_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "job_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "helm_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "terraform_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'

Documentation Index

Fetch the complete documentation index at: https://qovery-update-mcp-query.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

environmentId
string<uuid>
required

Environment ID

Body

application/json
application_ids
string<uuid>[]
container_ids
string<uuid>[]
database_ids
string<uuid>[]
job_ids
string<uuid>[]
helm_ids
string<uuid>[]
terraform_ids
string<uuid>[]

Response

Services have been triggered to be deleted